curl -X GET https://api.owem.com.br/v4/i/baas/accounts/123456789012/pix-keys \
-H "Authorization: Basic $(echo -n 'SUA_API_KEY:SEU_SECRET' | base64)"
{
"requestId": "5bbaf3ce-0e75-446d-8dea-43f805db8af4",
"success": true,
"size": 1,
"data": {
"accountId": "123456789012",
"ispb": "37839059",
"agency": "0001",
"holderName": "JOAO DA SILVA",
"holderDocument": "12345678901",
"keys": [
{
"key": "9d4c2c8e-1234-4294-b1a0-d41e8be92d6d",
"type": "EVP",
"name": "JOAO DA SILVA",
"isCurrent": true,
"createdAt": 1768253830000
}
]
}
}
Lista as chaves PIX registradas em uma conta bancária BaaS.
curl -X GET https://api.owem.com.br/v4/i/baas/accounts/123456789012/pix-keys \
-H "Authorization: Basic $(echo -n 'SUA_API_KEY:SEU_SECRET' | base64)"
{
"requestId": "5bbaf3ce-0e75-446d-8dea-43f805db8af4",
"success": true,
"size": 1,
"data": {
"accountId": "123456789012",
"ispb": "37839059",
"agency": "0001",
"holderName": "JOAO DA SILVA",
"holderDocument": "12345678901",
"keys": [
{
"key": "9d4c2c8e-1234-4294-b1a0-d41e8be92d6d",
"type": "EVP",
"name": "JOAO DA SILVA",
"isCurrent": true,
"createdAt": 1768253830000
}
]
}
}
curl -X GET https://api.owem.com.br/v4/i/baas/accounts/123456789012/pix-keys \
-H "Authorization: Basic $(echo -n 'SUA_API_KEY:SEU_SECRET' | base64)"
baas:accounts é configurado pela Owem na sua API Key.Authorization: Basic {Base64(API_KEY:API_SECRET)}
| Header | Tipo | Obrigatório | Descrição |
|---|---|---|---|
| Authorization | string | ✅ | Basic Auth (API Key + Secret em Base64) |
| Parâmetro | Tipo | Obrigatório | Descrição |
|---|---|---|---|
| accountId | string | ✅ | ID da conta (retornado em onboarding/status) |
{
"requestId": "5bbaf3ce-0e75-446d-8dea-43f805db8af4",
"success": true,
"size": 1,
"data": {
"accountId": "123456789012",
"ispb": "37839059",
"agency": "0001",
"holderName": "JOAO DA SILVA",
"holderDocument": "12345678901",
"keys": [
{
"key": "9d4c2c8e-1234-4294-b1a0-d41e8be92d6d",
"type": "EVP",
"name": "JOAO DA SILVA",
"isCurrent": true,
"createdAt": 1768253830000
}
]
}
}
| Campo | Tipo | Descrição |
|---|---|---|
| accountId | string | ID/Número da conta |
| ispb | string | Código ISPB do banco (8 dígitos) |
| agency | string | Código da agência |
| holderName | string | Nome completo do titular |
| holderDocument | string | CPF/CNPJ do titular |
| keys | array | Lista de chaves PIX |
| Campo | Tipo | Descrição |
|---|---|---|
| key | string | Valor da chave PIX (usar em set-current/delete) |
| type | string | Tipo: CPF, CNPJ, EMAIL, PHONE, EVP |
| name | string | Nome do titular |
| isCurrent | boolean | Se é a chave principal da conta |
| createdAt | number | Timestamp de criação (ms) |
| Tipo | Descrição |
|---|---|
| CPF | CPF do titular (formato: 12345678900) |
| Email do titular | |
| PHONE | Telefone (+5511999998888) |
| EVP | Chave aleatória (UUID gerado automaticamente) |
| Código | Descrição |
|---|---|
| 403 | Conta não pertence a este parceiro |
| 404 | Conta não encontrada |
{
"requestId": "5bbaf3ce-0e75-446d-8dea-43f805db8af4",
"success": true,
"size": 1,
"data": {
"accountId": "123456789012",
"ispb": "37839059",
"agency": "0001",
"holderName": "JOAO DA SILVA",
"holderDocument": "12345678901",
"keys": [
{
"key": "9d4c2c8e-1234-4294-b1a0-d41e8be92d6d",
"type": "EVP",
"name": "JOAO DA SILVA",
"isCurrent": true,
"createdAt": 1768253830000
}
]
}
}
Was this page helpful?